[
    {
        "name": "markbaker/complex",
        "version": "1.4.7",
        "version_normalized": "1.4.7.0",
        "source": {
            "type": "git",
            "url": "https://github.com/MarkBaker/PHPComplex.git",
            "reference": "1ea674a8308baf547cbcbd30c5fcd6d301b7c000"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/MarkBaker/PHPComplex/zipball/1ea674a8308baf547cbcbd30c5fcd6d301b7c000",
            "reference": "1ea674a8308baf547cbcbd30c5fcd6d301b7c000",
            "shasum": ""
        },
        "require": {
            "php": "^5.6.0|^7.0.0"
        },
        "require-dev": {
            "dealerdirect/phpcodesniffer-composer-installer": "^0.4.3",
            "phpcompatibility/php-compatibility": "^8.0",
            "phpdocumentor/phpdocumentor": "2.*",
            "phploc/phploc": "2.*",
            "phpmd/phpmd": "2.*",
            "phpunit/phpunit": "^4.8.35|^5.4.0",
            "sebastian/phpcpd": "2.*",
            "squizlabs/php_codesniffer": "^3.3.0"
        },
        "time": "2018-10-13T23:28:42+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Complex\\": "classes/src/"
            },
            "files": [
                "classes/src/functions/abs.php",
                "classes/src/functions/acos.php",
                "classes/src/functions/acosh.php",
                "classes/src/functions/acot.php",
                "classes/src/functions/acoth.php",
                "classes/src/functions/acsc.php",
                "classes/src/functions/acsch.php",
                "classes/src/functions/argument.php",
                "classes/src/functions/asec.php",
                "classes/src/functions/asech.php",
                "classes/src/functions/asin.php",
                "classes/src/functions/asinh.php",
                "classes/src/functions/atan.php",
                "classes/src/functions/atanh.php",
                "classes/src/functions/conjugate.php",
                "classes/src/functions/cos.php",
                "classes/src/functions/cosh.php",
                "classes/src/functions/cot.php",
                "classes/src/functions/coth.php",
                "classes/src/functions/csc.php",
                "classes/src/functions/csch.php",
                "classes/src/functions/exp.php",
                "classes/src/functions/inverse.php",
                "classes/src/functions/ln.php",
                "classes/src/functions/log2.php",
                "classes/src/functions/log10.php",
                "classes/src/functions/negative.php",
                "classes/src/functions/pow.php",
                "classes/src/functions/rho.php",
                "classes/src/functions/sec.php",
                "classes/src/functions/sech.php",
                "classes/src/functions/sin.php",
                "classes/src/functions/sinh.php",
                "classes/src/functions/sqrt.php",
                "classes/src/functions/tan.php",
                "classes/src/functions/tanh.php",
                "classes/src/functions/theta.php",
                "classes/src/operations/add.php",
                "classes/src/operations/subtract.php",
                "classes/src/operations/multiply.php",
                "classes/src/operations/divideby.php",
                "classes/src/operations/divideinto.php"
            ]
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Mark Baker",
                "email": "mark@lange.demon.co.uk"
            }
        ],
        "description": "PHP Class for working with complex numbers",
        "homepage": "https://github.com/MarkBaker/PHPComplex",
        "keywords": [
            "complex",
            "mathematics"
        ]
    },
    {
        "name": "markbaker/matrix",
        "version": "1.1.4",
        "version_normalized": "1.1.4.0",
        "source": {
            "type": "git",
            "url": "https://github.com/MarkBaker/PHPMatrix.git",
            "reference": "6ea97472b5baf12119b4f31f802835b820dd6d64"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/MarkBaker/PHPMatrix/zipball/6ea97472b5baf12119b4f31f802835b820dd6d64",
            "reference": "6ea97472b5baf12119b4f31f802835b820dd6d64",
            "shasum": ""
        },
        "require": {
            "php": "^5.6.0|^7.0.0"
        },
        "require-dev": {
            "dealerdirect/phpcodesniffer-composer-installer": "^0.4.3",
            "phpcompatibility/php-compatibility": "^8.0",
            "phpdocumentor/phpdocumentor": "2.*",
            "phploc/phploc": "2.*",
            "phpmd/phpmd": "2.*",
            "phpunit/phpunit": "^4.8.35|^5.4.0",
            "sebastian/phpcpd": "2.*",
            "squizlabs/php_codesniffer": "^3.3.0"
        },
        "time": "2018-11-04T22:12:12+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Matrix\\": "classes/src/"
            },
            "files": [
                "classes/src/functions/adjoint.php",
                "classes/src/functions/antidiagonal.php",
                "classes/src/functions/cofactors.php",
                "classes/src/functions/determinant.php",
                "classes/src/functions/diagonal.php",
                "classes/src/functions/identity.php",
                "classes/src/functions/inverse.php",
                "classes/src/functions/minors.php",
                "classes/src/functions/trace.php",
                "classes/src/functions/transpose.php",
                "classes/src/operations/add.php",
                "classes/src/operations/directsum.php",
                "classes/src/operations/subtract.php",
                "classes/src/operations/multiply.php",
                "classes/src/operations/divideby.php",
                "classes/src/operations/divideinto.php"
            ]
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Mark Baker",
                "email": "mark@lange.demon.co.uk"
            }
        ],
        "description": "PHP Class for working with matrices",
        "homepage": "https://github.com/MarkBaker/PHPMatrix",
        "keywords": [
            "mathematics",
            "matrix",
            "vector"
        ]
    },
    {
        "name": "nnnick/chartjs",
        "version": "v2.8.0",
        "version_normalized": "2.8.0.0",
        "source": {
            "type": "git",
            "url": "https://github.com/chartjs/Chart.js.git",
            "reference": "947d8a7ccfbfc76dd9d384ea75436fa4a7aeefb1"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/chartjs/Chart.js/zipball/947d8a7ccfbfc76dd9d384ea75436fa4a7aeefb1",
            "reference": "947d8a7ccfbfc76dd9d384ea75436fa4a7aeefb1",
            "shasum": ""
        },
        "require": {
            "php": ">=5.3.3"
        },
        "time": "2019-03-14T13:03:00+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "release/2.0": "v2.0-dev"
            }
        },
        "installation-source": "dist",
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "NICK DOWNIE",
                "email": "hello@nickdownie.com"
            }
        ],
        "description": "Simple HTML5 charts using the canvas element.",
        "homepage": "https://www.chartjs.org/",
        "keywords": [
            "JS",
            "chart"
        ]
    },
    {
        "name": "phpmailer/phpmailer",
        "version": "v6.1.1",
        "version_normalized": "6.1.1.0",
        "source": {
            "type": "git",
            "url": "https://github.com/PHPMailer/PHPMailer.git",
            "reference": "26bd96350b0b2fcbf0ef4e6f0f9cf3528302a9d8"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/PHPMailer/PHPMailer/zipball/26bd96350b0b2fcbf0ef4e6f0f9cf3528302a9d8",
            "reference": "26bd96350b0b2fcbf0ef4e6f0f9cf3528302a9d8",
            "shasum": ""
        },
        "require": {
            "ext-ctype": "*",
            "ext-filter": "*",
            "php": ">=5.5.0"
        },
        "require-dev": {
            "doctrine/annotations": "1.2.*",
            "friendsofphp/php-cs-fixer": "^2.2",
            "phpdocumentor/phpdocumentor": "2.*",
            "phpunit/phpunit": "^4.8 || ^5.7",
            "zendframework/zend-eventmanager": "3.0.*",
            "zendframework/zend-i18n": "2.7.3",
            "zendframework/zend-serializer": "2.7.*"
        },
        "suggest": {
            "ext-mbstring": "Needed to send email in multibyte encoding charset",
            "hayageek/oauth2-yahoo": "Needed for Yahoo XOAUTH2 authentication",
            "league/oauth2-google": "Needed for Google XOAUTH2 authentication",
            "psr/log": "For optional PSR-3 debug logging",
            "stevenmaguire/oauth2-microsoft": "Needed for Microsoft XOAUTH2 authentication",
            "symfony/polyfill-mbstring": "To support UTF-8 if the Mbstring PHP extension is not enabled (^1.2)"
        },
        "time": "2019-09-27T21:33:43+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "PHPMailer\\PHPMailer\\": "src/"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "LGPL-2.1-only"
        ],
        "authors": [
            {
                "name": "Marcus Bointon",
                "email": "phpmailer@synchromedia.co.uk"
            },
            {
                "name": "Jim Jagielski",
                "email": "jimjag@gmail.com"
            },
            {
                "name": "Andy Prevost",
                "email": "codeworxtech@users.sourceforge.net"
            },
            {
                "name": "Brent R. Matzelle"
            }
        ],
        "description": "PHPMailer is a full-featured email creation and transfer class for PHP"
    },
    {
        "name": "phpoffice/phpspreadsheet",
        "version": "1.9.0",
        "version_normalized": "1.9.0.0",
        "source": {
            "type": "git",
            "url": "https://github.com/PHPOffice/PhpSpreadsheet.git",
            "reference": "8dea03eaf60a349b6097e4bcad11f894668280df"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/PHPOffice/PhpSpreadsheet/zipball/8dea03eaf60a349b6097e4bcad11f894668280df",
            "reference": "8dea03eaf60a349b6097e4bcad11f894668280df",
            "shasum": ""
        },
        "require": {
            "ext-ctype": "*",
            "ext-dom": "*",
            "ext-fileinfo": "*",
            "ext-gd": "*",
            "ext-iconv": "*",
            "ext-libxml": "*",
            "ext-mbstring": "*",
            "ext-simplexml": "*",
            "ext-xml": "*",
            "ext-xmlreader": "*",
            "ext-xmlwriter": "*",
            "ext-zip": "*",
            "ext-zlib": "*",
            "markbaker/complex": "^1.4",
            "markbaker/matrix": "^1.1",
            "php": "^7.1",
            "psr/simple-cache": "^1.0"
        },
        "require-dev": {
            "dompdf/dompdf": "^0.8.0",
            "friendsofphp/php-cs-fixer": "@stable",
            "jpgraph/jpgraph": "^4.0",
            "mpdf/mpdf": "^7.0.0",
            "phpcompatibility/php-compatibility": "^8.0",
            "phpunit/phpunit": "^7.5",
            "squizlabs/php_codesniffer": "^3.3",
            "tecnickcom/tcpdf": "^6.2"
        },
        "suggest": {
            "dompdf/dompdf": "Option for rendering PDF with PDF Writer",
            "jpgraph/jpgraph": "Option for rendering charts, or including charts with PDF or HTML Writers",
            "mpdf/mpdf": "Option for rendering PDF with PDF Writer",
            "tecnickcom/tcpdf": "Option for rendering PDF with PDF Writer"
        },
        "time": "2019-08-17T22:24:35+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "PhpOffice\\PhpSpreadsheet\\": "src/PhpSpreadsheet"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "LGPL-2.1-or-later"
        ],
        "authors": [
            {
                "name": "Maarten Balliauw",
                "homepage": "https://blog.maartenballiauw.be"
            },
            {
                "name": "Mark Baker",
                "homepage": "https://markbakeruk.net"
            },
            {
                "name": "Franck Lefevre",
                "homepage": "https://rootslabs.net"
            },
            {
                "name": "Erik Tilt"
            },
            {
                "name": "Adrien Crivelli"
            }
        ],
        "description": "PHPSpreadsheet - Read, Create and Write Spreadsheet documents in PHP - Spreadsheet engine",
        "homepage": "https://github.com/PHPOffice/PhpSpreadsheet",
        "keywords": [
            "OpenXML",
            "excel",
            "gnumeric",
            "ods",
            "php",
            "spreadsheet",
            "xls",
            "xlsx"
        ]
    },
    {
        "name": "psr/simple-cache",
        "version": "1.0.1",
        "version_normalized": "1.0.1.0",
        "source": {
            "type": "git",
            "url": "https://github.com/php-fig/simple-cache.git",
            "reference": "408d5eafb83c57f6365a3ca330ff23aa4a5fa39b"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/php-fig/simple-cache/zipball/408d5eafb83c57f6365a3ca330ff23aa4a5fa39b",
            "reference": "408d5eafb83c57f6365a3ca330ff23aa4a5fa39b",
            "shasum": ""
        },
        "require": {
            "php": ">=5.3.0"
        },
        "time": "2017-10-23T01:57:42+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "1.0.x-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Psr\\SimpleCache\\": "src/"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "PHP-FIG",
                "homepage": "http://www.php-fig.org/"
            }
        ],
        "description": "Common interfaces for simple caching",
        "keywords": [
            "cache",
            "caching",
            "psr",
            "psr-16",
            "simple-cache"
        ]
    },
    {
        "name": "symfony/polyfill-ctype",
        "version": "v1.12.0",
        "version_normalized": "1.12.0.0",
        "source": {
            "type": "git",
            "url": "https://github.com/symfony/polyfill-ctype.git",
            "reference": "550ebaac289296ce228a706d0867afc34687e3f4"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/symfony/polyfill-ctype/zipball/550ebaac289296ce228a706d0867afc34687e3f4",
            "reference": "550ebaac289296ce228a706d0867afc34687e3f4",
            "shasum": ""
        },
        "require": {
            "php": ">=5.3.3"
        },
        "suggest": {
            "ext-ctype": "For best performance"
        },
        "time": "2019-08-06T08:03:45+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "1.12-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Symfony\\Polyfill\\Ctype\\": ""
            },
            "files": [
                "bootstrap.php"
            ]
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Gert de Pagter",
                "email": "BackEndTea@gmail.com"
            },
            {
                "name": "Symfony Community",
                "homepage": "https://symfony.com/contributors"
            }
        ],
        "description": "Symfony polyfill for ctype functions",
        "homepage": "https://symfony.com",
        "keywords": [
            "compatibility",
            "ctype",
            "polyfill",
            "portable"
        ]
    },
    {
        "name": "symfony/polyfill-mbstring",
        "version": "v1.12.0",
        "version_normalized": "1.12.0.0",
        "source": {
            "type": "git",
            "url": "https://github.com/symfony/polyfill-mbstring.git",
            "reference": "b42a2f66e8f1b15ccf25652c3424265923eb4f17"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/symfony/polyfill-mbstring/zipball/b42a2f66e8f1b15ccf25652c3424265923eb4f17",
            "reference": "b42a2f66e8f1b15ccf25652c3424265923eb4f17",
            "shasum": ""
        },
        "require": {
            "php": ">=5.3.3"
        },
        "suggest": {
            "ext-mbstring": "For best performance"
        },
        "time": "2019-08-06T08:03:45+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "1.12-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Symfony\\Polyfill\\Mbstring\\": ""
            },
            "files": [
                "bootstrap.php"
            ]
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Nicolas Grekas",
                "email": "p@tchwork.com"
            },
            {
                "name": "Symfony Community",
                "homepage": "https://symfony.com/contributors"
            }
        ],
        "description": "Symfony polyfill for the Mbstring extension",
        "homepage": "https://symfony.com",
        "keywords": [
            "compatibility",
            "mbstring",
            "polyfill",
            "portable",
            "shim"
        ]
    },
    {
        "name": "twig/twig",
        "version": "v2.11.3",
        "version_normalized": "2.11.3.0",
        "source": {
            "type": "git",
            "url": "https://github.com/twigphp/Twig.git",
            "reference": "699ed2342557c88789a15402de5eb834dedd6792"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/twigphp/Twig/zipball/699ed2342557c88789a15402de5eb834dedd6792",
            "reference": "699ed2342557c88789a15402de5eb834dedd6792",
            "shasum": ""
        },
        "require": {
            "php": "^7.0",
            "symfony/polyfill-ctype": "^1.8",
            "symfony/polyfill-mbstring": "^1.3"
        },
        "require-dev": {
            "psr/container": "^1.0",
            "symfony/debug": "^2.7",
            "symfony/phpunit-bridge": "^3.4.19|^4.1.8|^5.0"
        },
        "time": "2019-06-18T15:37:11+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "2.11-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-0": {
                "Twig_": "lib/"
            },
            "psr-4": {
                "Twig\\": "src/"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "BSD-3-Clause"
        ],
        "authors": [
            {
                "name": "Fabien Potencier",
                "email": "fabien@symfony.com",
                "homepage": "http://fabien.potencier.org",
                "role": "Lead Developer"
            },
            {
                "name": "Armin Ronacher",
                "email": "armin.ronacher@active-4.com",
                "role": "Project Founder"
            },
            {
                "name": "Twig Team",
                "homepage": "https://twig.symfony.com/contributors",
                "role": "Contributors"
            }
        ],
        "description": "Twig, the flexible, fast, and secure template language for PHP",
        "homepage": "https://twig.symfony.com",
        "keywords": [
            "templating"
        ]
    }
]
